const API_INTERNAL_URI = require('../config.js').API_INTERNAL_URI
const req = require('../utils/request').httpReq

var query = {
  async get_permissions(ctx, next) {
    // http://bp-test.ini.yidian-inc.com/merchant/authority/get_role_list?user_email=jianghaiming@126.com
    const url = `${API_INTERNAL_URI}/merchant/authority/get_role_list`;
    const { email } = ctx.request.query;
    const opts = {
      url,
      method: 'GET',
      params: {
        email
      }
    }
    ctx.body = await req(ctx, opts)
  }
}

exports.query = async (ctx, next) => {
  var type = ctx.params.type
  console.log("koa user::::::", type)
  if (query[type]) {
    try {
      ctx.set('Content-Type', 'application/json; charset=utf-8')
      await query[type](ctx, next)
    } catch (e) {
      console.error('/api/v1 error', e, ctx.url, ctx.headers['cookie'])
      ctx.body = { status: 'failed', reason: 'Internal Server Error' }
    }
  } else {
    ctx.body = {
      status: 'failed',
      reason: 'Invalid type param',
    }
  }
}
